package discord

import (
	"fmt"
	"time"
)

const (
	embedDescriptionCharLimit = 4096
)

func formatTimestamp(t time.Time) string {
	return t.Format(time.RFC3339)
}

func buildLink(text string, url string) string {
	if url == "" {
		return text
	}
	return fmt.Sprintf("[`%s`](%s)", text, url)
}

func buildChannelMention(id string) string {
	return "<#" + id + ">"
}

func boolToEmoji(val bool) string {
	if val {
		return ":white_check_mark:"
	}
	return ":x:"
}

func buildLangMessageID(languageTag string) string {
	return "lang." + languageTag
}
